OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient Class Reference

`#include <STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient ()
Standard_EXPORT | STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient (const STEPCAFControl_DataMapOfShapeTransient &aMap)
Standard_EXPORT void | Initialize (const STEPCAFControl_DataMapOfShapeTransient &aMap)
Standard_EXPORT const TopoDS_Shape & | Key () const
Standard_EXPORT const Handle_Standard_Transient & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient::STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient | ( |  | ) |

Standard_EXPORT STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient::STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient | ( | const STEPCAFControl_DataMapOfShapeTransient & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient::Initialize | ( | const STEPCAFControl_DataMapOfShapeTransient & | aMap | ) |

Standard_EXPORT const TopoDS_Shape& STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient::Key | ( |  | ) | const

void STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient::operator new | ( | size_t | size | ) | `[inline]`

void* STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Transient& STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapIteratorOfDataMapOfShapeTransient.hxx